%define name 	lincity-ng
%define version 1.1.1
%define release 1
%define	Summary	Lincity - A City Simulation Game

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	http://download.berlios.de/lincity-ng/%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://lincity-ng.berlios.de/
Group:		Games/Strategy
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	jam
BuildRequires:	zlib-devel libxml2-devel
BuildRequires:	XFree86-devel
BuildRequires:	SDL-devel SDL_mixer-devel SDL_image-devel SDL_ttf-devel libSDL_gfx-devel 
BuildRequires:	libphysfs-devel desktop-file-utils
Obsoletes:	lincity
Provides:	lincity

%description
Lincity is a city simulation game. Build your city up from a primitive village
to an advanced civilization.  Build a sustainable economy, or build rockets to
escape from a pollution ridden and resource starved planet. 

LinCity-NG is a polished and improved version of the classic LinCity game with
a new iso-3D graphics engine, with a completely redone and modern GUI.

%prep
%setup -q

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--with-gzip \
		--with-svga \
		--with-x \
		--disable-rpath
jam

%install
rm -fr %{buildroot}
DESTDIR=%{buildroot} jam install
mkdir -p %{buildroot}%{_miconsdir}
convert -size 48x48 data/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
convert -size 32x32 data/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_liconsdir}
convert -size 16x16 data/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

mkdir -p %buildroot%_datadir/applications
desktop-file-install --vendor="" --delete-original \
  --remove-category="Application" \
  --add-category="StrategyGame" \
  --add-category="Game" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_gamesdatadir}/applications/*

mkdir -p %buildroot%_datadir/pixmaps
mv %buildroot%{_gamesdatadir}/pixmaps/* %buildroot%_datadir/pixmaps

rm -fr %buildroot%_gamesdatadir/doc

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING* README RELNOTES TODO
%{_gamesbindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_gamesdatadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Aug 20 2007 Funda Wang <fundawang@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 67195
- remove old doc files
- move common files into common dir rather games dir
- New version 1.1.1


* Thu Feb 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-1mdv2007.0
+ Revision: 124728
- new version

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.0.3-5mdv2007.1
+ Revision: 100703
- Import lincity-ng

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.0.3-5
- Rebuild

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.3-4mdv2007.0
- Game category repeated twice in desktop file (bug #25177)
- buildrequires desktop-file-utils

* Mon Aug 14 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.3-3mdv2007.0
- rebuild

* Tue Aug 01 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.3-2mdv2007.0
- xdg menu
- fix buildrequires

* Thu May 04 2006 Emmanuel Andry <eandry@free.fr> 1.0.3-1mdk
- New release 1.0.3

* Mon Jan 16 2006 Michael Scherer <misc@mandriva.org> 1.0.2-1mdk
- New release 1.0.2, thanks to Emmanuel Andry <eandry@free.fr> for testing
  and reporting

* Fri Aug 12 2005 Austin Acton <austin@mandriva.org> 1.0.1-1mdk
- move to lincity-ng, obsolete lincity
- source URL
- new URL
- convert icon on-the-fly

* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.12.1-2mdk
- fix %%{Summary} macro
- build with svga and gzip support
- %%mkrel
- convert icons to png
- move data to %%{_gamesdatadir}
- no .bz2 ending for man page
- clean out suckage!

* Fri Mar 11 2005 Austin Acton <austin@mandrake.org> 1.12.1-1mdk
- configure 2.5
- from Emmanuel Andry <eandry@free.fr> :
  - New release
  - Updated buildrequires
  - Updated menu
  - New source for icons (taken from 1.12-0.pre55)

